> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reilabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Reigent Unit's Tools

> Update the activation status of a tool for a Reigent Unit.



## OpenAPI

````yaml /openapi.json put /agents/tools
openapi: 3.0.3
info:
  title: Reigent API
  version: 1.0.0
  description: API for managing Rei Agents and chat completions.
servers:
  - url: https://api.reilabs.org/v1
  - url: https://rei-api.reilabs.org/v1
security: []
paths:
  /agents/tools:
    servers:
      - url: https://api.reilabs.org/v1
    put:
      tags:
        - Agent
      summary: Update Reigent Unit's Tools
      description: Update the activation status of a tool for a Reigent Unit.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - key
                - isActive
              properties:
                key:
                  type: string
                  enum:
                    - crypto
                    - crypto:laevitas
                    - apex_chart
                    - image_gen
                    - skip_web_search
                  description: >-
                    Tool key. Retrieve the latest values from Get Reigent Unit's
                    Tools.
                isActive:
                  type: boolean
      responses:
        '200':
          description: Tool updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  isUpdated:
                    type: boolean
        '400':
          description: Validation Error
        '401':
          description: Unauthorized
      security:
        - AgentSecretToken: []
components:
  securitySchemes:
    AgentSecretToken:
      type: http
      scheme: bearer
      description: Unit API Key

````